cryptkeysym.h File Reference
`#include "cryptkey.h"`

Go to the source code of this file.

## Functions

GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyAes128_fromData (GWEN_CRYPT_CRYPTMODE mode, int keySize, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyAes128_fromDb (GWEN_CRYPT_CRYPTMODE mode, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyAes128_Generate (GWEN_CRYPT_CRYPTMODE mode, int keySize, int quality)
GWENHYWFAR_API uint32_t | GWEN_Crypt_KeyAes128_GetKeyDataLen (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API uint8_t * | GWEN_Crypt_KeyAes128_GetKeyDataPtr (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API int | GWEN_Crypt_KeyAes128_SetIV (GWEN_CRYPT_KEY *k, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API int | GWEN_Crypt_KeyAes128_SetKeyData (GWEN_CRYPT_KEY *k, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API int | GWEN_Crypt_KeyAes128_toDb (const GWEN_CRYPT_KEY *k, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyAes256_fromData (GWEN_CRYPT_CRYPTMODE mode, int keySize, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyAes256_fromDb (GWEN_CRYPT_CRYPTMODE mode, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyAes256_Generate (GWEN_CRYPT_CRYPTMODE mode, int keySize, int quality)
GWENHYWFAR_API uint32_t | GWEN_Crypt_KeyAes256_GetKeyDataLen (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API uint8_t * | GWEN_Crypt_KeyAes256_GetKeyDataPtr (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API int | GWEN_Crypt_KeyAes256_SetIV (GWEN_CRYPT_KEY *k, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API int | GWEN_Crypt_KeyAes256_SetKeyData (GWEN_CRYPT_KEY *k, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API int | GWEN_Crypt_KeyAes256_toDb (const GWEN_CRYPT_KEY *k, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyBlowFish_fromData (GWEN_CRYPT_CRYPTMODE mode, int keySize, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyBlowFish_fromDb (GWEN_CRYPT_CRYPTMODE mode, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyBlowFish_Generate (GWEN_CRYPT_CRYPTMODE mode, int keySize, int quality)
GWENHYWFAR_API uint32_t | GWEN_Crypt_KeyBlowFish_GetKeyDataLen (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API uint8_t * | GWEN_Crypt_KeyBlowFish_GetKeyDataPtr (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API int | GWEN_Crypt_KeyBlowFish_SetKeyData (GWEN_CRYPT_KEY *k, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API int | GWEN_Crypt_KeyBlowFish_toDb (const GWEN_CRYPT_KEY *k, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyDes3K_fromData (GWEN_CRYPT_CRYPTMODE mode, int keySize, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyDes3K_fromDb (GWEN_CRYPT_CRYPTMODE mode, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeyDes3K_Generate (GWEN_CRYPT_CRYPTMODE mode, int keySize, int quality)
GWENHYWFAR_API uint32_t | GWEN_Crypt_KeyDes3K_GetKeyDataLen (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API uint8_t * | GWEN_Crypt_KeyDes3K_GetKeyDataPtr (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API int | GWEN_Crypt_KeyDes3K_SetIV (GWEN_CRYPT_KEY *k, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API int | GWEN_Crypt_KeyDes3K_SetKeyData (GWEN_CRYPT_KEY *k, const uint8_t *kd, uint32_t kl)
GWENHYWFAR_API int | GWEN_Crypt_KeyDes3K_toDb (const GWEN_CRYPT_KEY *k, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeySym_dup (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_Crypt_KeySym_fromDb (GWEN_CRYPT_CRYPTMODE mode, GWEN_DB_NODE *db)
GWENHYWFAR_API uint32_t | GWEN_Crypt_KeySym_GetKeyDataLen (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API uint8_t * | GWEN_Crypt_KeySym_GetKeyDataPtr (const GWEN_CRYPT_KEY *k)
GWENHYWFAR_API int | GWEN_Crypt_KeySym_toDb (const GWEN_CRYPT_KEY *k, GWEN_DB_NODE *db)

## Function Documentation

## GWEN_Crypt_KeyAes128_fromData()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyAes128_fromData | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | int | keySize,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes128_fromDb()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyAes128_fromDb | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes128_Generate()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyAes128_Generate | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | int | keySize,
|  | int | quality )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes128_GetKeyDataLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_KeyAes128_GetKeyDataLen | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes128_GetKeyDataPtr()

GWENHYWFAR_API uint8_t * GWEN_Crypt_KeyAes128_GetKeyDataPtr | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes128_SetIV()

GWENHYWFAR_API int GWEN_Crypt_KeyAes128_SetIV | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes128_SetKeyData()

GWENHYWFAR_API int GWEN_Crypt_KeyAes128_SetKeyData | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes128_toDb()

GWENHYWFAR_API int GWEN_Crypt_KeyAes128_toDb | ( | const GWEN_CRYPT_KEY * | k,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes256_fromData()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyAes256_fromData | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | int | keySize,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes256_fromDb()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyAes256_fromDb | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes256_Generate()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyAes256_Generate | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | int | keySize,
|  | int | quality )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes256_GetKeyDataLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_KeyAes256_GetKeyDataLen | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes256_GetKeyDataPtr()

GWENHYWFAR_API uint8_t * GWEN_Crypt_KeyAes256_GetKeyDataPtr | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes256_SetIV()

GWENHYWFAR_API int GWEN_Crypt_KeyAes256_SetIV | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes256_SetKeyData()

GWENHYWFAR_API int GWEN_Crypt_KeyAes256_SetKeyData | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyAes256_toDb()

GWENHYWFAR_API int GWEN_Crypt_KeyAes256_toDb | ( | const GWEN_CRYPT_KEY * | k,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyBlowFish_fromData()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyBlowFish_fromData | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | int | keySize,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyBlowFish_fromDb()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyBlowFish_fromDb | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyBlowFish_Generate()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyBlowFish_Generate | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | int | keySize,
|  | int | quality )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyBlowFish_GetKeyDataLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_KeyBlowFish_GetKeyDataLen | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeyBlowFish_GetKeyDataPtr()

GWENHYWFAR_API uint8_t * GWEN_Crypt_KeyBlowFish_GetKeyDataPtr | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeyBlowFish_SetKeyData()

GWENHYWFAR_API int GWEN_Crypt_KeyBlowFish_SetKeyData | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyBlowFish_toDb()

GWENHYWFAR_API int GWEN_Crypt_KeyBlowFish_toDb | ( | const GWEN_CRYPT_KEY * | k,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyDes3K_fromData()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyDes3K_fromData | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | int | keySize,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyDes3K_fromDb()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyDes3K_fromDb | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyDes3K_Generate()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeyDes3K_Generate | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | int | keySize,
|  | int | quality )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyDes3K_GetKeyDataLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_KeyDes3K_GetKeyDataLen | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeyDes3K_GetKeyDataPtr()

GWENHYWFAR_API uint8_t * GWEN_Crypt_KeyDes3K_GetKeyDataPtr | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeyDes3K_SetIV()

GWENHYWFAR_API int GWEN_Crypt_KeyDes3K_SetIV | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyDes3K_SetKeyData()

GWENHYWFAR_API int GWEN_Crypt_KeyDes3K_SetKeyData | ( | GWEN_CRYPT_KEY * | k,
|  | const uint8_t * | kd,
|  | uint32_t | kl )

References GWENHYWFAR_API.

## GWEN_Crypt_KeyDes3K_toDb()

GWENHYWFAR_API int GWEN_Crypt_KeyDes3K_toDb | ( | const GWEN_CRYPT_KEY * | k,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeySym_dup()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeySym_dup | ( | const GWEN_CRYPT_KEY * | k | ) |

This functions creates a copy of the given key. The given key must have been created by one of the functions in this group (e.g. GWEN_Crypt_KeyBlowFish_fromDb(), GWEN_Crypt_KeyDes3K_Generate() etc. For other kinds of keys other functions must be used (like GWEN_Crypt_KeyRsa_dup() for RSA keys).

References GWENHYWFAR_API.

## GWEN_Crypt_KeySym_fromDb()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_Crypt_KeySym_fromDb | ( | GWEN_CRYPT_CRYPTMODE | mode,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_KeySym_GetKeyDataLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_KeySym_GetKeyDataLen | ( | const GWEN_CRYPT_KEY * | k | ) |

## GWEN_Crypt_KeySym_GetKeyDataPtr()

GWENHYWFAR_API uint8_t * GWEN_Crypt_KeySym_GetKeyDataPtr | ( | const GWEN_CRYPT_KEY * | k | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_KeySym_toDb()

GWENHYWFAR_API int GWEN_Crypt_KeySym_toDb | ( | const GWEN_CRYPT_KEY * | k,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.